Skip to main content
`Ctrl`+`K`

# SVDSetStoppingTest

Specifies how to decide the termination of the outer loop of the singular value solver.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetStoppingTest(SVD svd,SVDStop stop)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- stop - the type of stopping test, see `SVDStop`

## Options Database Keys

- -svd_stop_basic - sets the default stopping test

- -svd_stop_threshold - sets the threshold stopping test

- -svd_stop_user - selects the user-defined stopping test

## See Also

SVD: Singular Value Decomposition, `SVDGetStoppingTest()`, `SVDSetStoppingTestFunction()`, `SVDSetConvergenceTest()`, `SVDStop`

## Level

advanced

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages